Профиль пользователя
curl --request GET \
--url https://api.example.com/api/v2/user/meimport requests
url = "https://api.example.com/api/v2/user/me"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v2/user/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Пользователь
Профиль пользователя
Получение и обновление данных текущего пользователя
GET
/
api
/
v2
/
user
/
me
Профиль пользователя
curl https://elumenta.ru/api/v2/user/me \
-H "Authorization: Bearer nb_ВАШ_API_КЛЮЧ"
{
"id": 1042,
"email": "user@example.com",
"username": "ivan",
"plan": "vip",
"plan_expires_at": "2026-04-08T00:00:00Z",
"token_balance": 283,
"created_at": "2025-11-15T09:00:00Z"
}
Обновление профиля
PATCH /api/v2/user/me
{"username": "новое_имя"}
Баланс токенов
curl https://elumenta.ru/api/v2/balance \
-H "Authorization: Bearer nb_ВАШ_API_КЛЮЧ"
{
"token_balance": 283,
"plan": "vip",
"plan_expires_at": "2026-04-08T00:00:00Z"
}
⌘I

